
/*
 * BadWM - minimalistic window manager for the X Window System
 * Copyright (C) Robert Annessi <robert@annessi.at>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <stdarg.h>
#include <stdio.h>
#include <include/BadWM.h>


int baddebug(const char *file, int line, const char *function, int level, const char *format, ...)
{
	va_list ap;
	char msg[1024];
	int r;
	
	va_start(ap, format);
	vsnprintf(msg, 1024, format, ap);
	if(config.global->debug >= level)
	{
		r = fprintf(stderr, "[BadWM DEBUG%d]: %s:%d in %s(): %s", level, file, line, function, msg);
		return r;
	} else {
		return 0;
	}
}
